/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer: ...
*/

#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GAME_RULES

#include "kill_target.h"

#include "util/loading/factory.h"
#include "util/loading/load_param.h"

using namespace std;

CREATE_FACTORY(KillTarget, CL_KILL_TARGET);


/**
 * standard constructor
 * @todo this constructor is not jet implemented - do it
*/
KillTarget::KillTarget (const TiXmlElement* root)
        : MissionGoal(root) {
    this->setClassID(CL_KILL_TARGET, "KillTarget");

    if( root != NULL)
        this->loadParams(root);
}


/**
 * standard deconstructor
*/
KillTarget::~KillTarget () {
}


void KillTarget::loadParams(const TiXmlElement* root) {
    MissionGoal::loadParams(root);

    LoadParam(root, "numberofkills", this, KillTarget, setNumberOfKills)
    .describe("sets the number of kills a target has to be killed");
    LoadParam(root, "targetclassid", this, KillTarget, setTargetClassID)
    .describe("sets the targets class id");
}


MissionState KillTarget::checkMissionGoal(float dt) {}

